<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'StatsGridOrbs2',
});
</script>

<template>
  <div ref="path" class="path">
    <svg
      width="550"
      height="596"
      viewBox="0 0 550 596"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        opacity="0.5"
        d="M423.213 311.761C465.034 299.392 500.571 294.681 523.555 299.972C583.559 313.786 535.28 390.537 415.716 471.402C296.153 552.267 150.584 606.62 90.578 592.808C47.9266 582.989 59.9844 541.372 113.462 489.084"
        stroke="#9B91CC"
        stroke-width="0.813486"
        stroke-linecap="round"
        stroke-dasharray="1.25 10.01"
      />
      <g filter="url(#filter0_d_463_6281)">
        <path
          d="M472.638 280.934C475.1 280.934 477.097 278.937 477.097 276.473C477.097 274.01 475.1 272.013 472.638 272.013C470.175 272.013 468.179 274.01 468.179 276.473C468.179 278.937 470.175 280.934 472.638 280.934Z"
          fill="url(#paint1_linear_463_6281)"
        />
      </g>

      <defs>
        <filter
          id="filter0_d_463_6281"
          x="464.939"
          y="268.773"
          width="15.3965"
          height="15.3994"
          filterUnits="userSpaceOnUse"
          color-interpolation-filters="sRGB"
        >
          <feFlood flood-opacity="0" result="BackgroundImageFix" />
          <feColorMatrix
            in="SourceAlpha"
            type="matrix"
            values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"
            result="hardAlpha"
          />
          <feOffset />
          <feGaussianBlur stdDeviation="1.61963" />
          <feColorMatrix
            type="matrix"
            values="0 0 0 0 0.952941 0 0 0 0 0.623529 0 0 0 0 0.772549 0 0 0 0.75 0"
          />
          <feBlend
            mode="normal"
            in2="BackgroundImageFix"
            result="effect1_dropShadow_463_6281"
          />
          <feBlend
            mode="normal"
            in="SourceGraphic"
            in2="effect1_dropShadow_463_6281"
            result="shape"
          />
        </filter>
        <radialGradient
          id="paint0_radial_463_6281"
          cx="0"
          cy="0"
          r="1"
          gradientUnits="userSpaceOnUse"
          gradientTransform="translate(269.837 361.506) rotate(90) scale(131.141 133.8)"
        >
          <stop stop-color="#B092F2" stop-opacity="0.4" />
          <stop offset="0.856688" stop-color="#B092F2" stop-opacity="0" />
        </radialGradient>
        <linearGradient
          id="paint1_linear_463_6281"
          x1="468.564"
          y1="278.093"
          x2="476.812"
          y2="274.699"
          gradientUnits="userSpaceOnUse"
        >
          <stop stop-color="#FFC783" />
          <stop offset="1" stop-color="#FCA121" />
        </linearGradient>
      </defs>
    </svg>
  </div>
</template>

<style lang="scss" scoped>
.path {
  position: absolute;
  left: -15%;
  top: -27%;
  height: 100%;
  width: 100%;
  svg {
    width: 100%;
  }
}

@keyframes dash {
  to {
    stroke-dashoffset: 0;
  }
}
</style>
